using System;
using System.Net.NetworkInformation;

internal sealed class Delegate692 : MulticastDelegate
{
	public extern NetworkInterface[] Invoke();

	public static NetworkInterface[] smethod_0(Delegate692 delegate692_1)
	{
		return delegate692_1();
	}

	public extern Delegate692(object object_0, IntPtr intptr_0);

	static Delegate692()
	{
		Class10.smethod_13(typeof(Delegate692).TypeHandle);
	}

	internal static Delegate692 delegate692_0;
}
